// Теоретичні питання
//  1. Що таке оператори в JavaScript і які їхні типи ви знаєте?
//  Оператори це процеси які прододяться над оперантами. вони бувають операторами порівняння та логічними операторами.

// оператори порівняння: >, <, >=, <=, ==, ===, !=, !==;
// логічні оператори: !, &&, ||;

// результатом порівняння є логічний тип: true або false;

// 2. Для чого використовуються оператори порівняння в JavaScript? Наведіть приклади таких операторів.
// Оператори використовуються для порівнянн як одних і тих самих, так і різних типів даних.

const a = 3;
const b = 6;
const t = "word";

console.log(a > t); //false
console.log(a < t); //false
console.log(a <= b); //true
console.log(a >= b); //false
console.log(a == b); //false
console.log(a === t); //false
console.log(t != b); //true
console.log(b !== t); //true

// при порівнянні різних типів даних можуть бути різні наслідки:

let c = 0;
console.log(Boolean(c)); // false
let d = "0";
console.log(Boolean(d)); // true
console.log(c == d); // true

//  3. Що таке операції присвоєння в JavaScript? Наведіть кілька прикладів операцій присвоєння.

// Опертор присвоєння "=", це оператор який лівому операнду присвоює значення правого операнду.

let e = 2;
const r = 3;
// =	присвоєння
console.log((e = r));
// += присвоєння з додаванням
console.log((e += r));
// -=	присвоєння з відніманням
console.log((e -= r));
// *=	присвоєння з множенням
console.log((e *= r));
// /=	присвоєння з розподілом
console.log((e /= r));

//  Практичні завдання
//  1. Створіть змінну "username" і присвойте їй ваше ім'я. Створіть змінну "password" і присвойте їй пароль (наприклад, "secret"). Далі ми імітуємо введеня паролю користувачем. Отримайте від користувача значення його паролю і перевірте, чи співпадає воно зі значенням в змінній "password". Виведіть результат порівнння в консоль.

const username = `Nikolay`;
const password = `secret`;

let userPass = prompt(`Enter your password.`);
let access = password === userPass;
console.log(`${username} password is ${access}`);

//  2. Створіть змінну `x` та присвойте їй значення 5. Створіть ще одну змінну `y` та присвойте їй значення 3.
//  Виведіть результати додавання, віднімання, множення та ділення змінних `x` та `y` у вікні alert.

let x = 5;
let y = 3;

alert("Результат х + у = " + (x + y));
alert("Результат х - у = " + (x - y));
alert("Результат х * у = " + x * y);
alert("Результат х / у = " + x / y);
